%%Calculation of Population Stock of teachers in KG 
%%The stock element is described by five dimensions, time(t), cohort(c),
%%age(a) type (j) and sex(s). 
%%
%Reading of data
filename = 'Matlab_teachers.xlsx';

Stock_T = xlsread(filename,'Stock_T','B2:B18');
Back_Dist_TJ =xlsread(filename,'B_t','B2:D18');
Gender_Dist_AS= xlsread(filename,'A_a','B2:C52');
Attrition_A = xlsread(filename,'Attrition','B2:B52');
InflowAge_A = xlsread(filename,'InflowAge_A','B2:B52');
%%
Stock_TASB = zeros(31,51,2,3);
Outflow_TASB = zeros(31,51,2,3);
Inflow_TASB = zeros(31,51,2,3);

Stock_TAS = zeros(31,51,2);
Outflow_TAS = zeros(31,51,2);
Inflow_TAS = zeros(31,51,2);
%%
%Age Distribution is available for the year 2015. This information is used
%to first historically recreate the system and the then for future
%projections
for b = 1:3
    for s = 1:2 
        for a = 1:50
            Stock_TASB(16,a,s,b)= Stock_T(16)*Gender_Dist_AS(a,s)*Back_Dist_TJ(16,b);
        end
    end
end
clear b s a 
%%
%Historically recreating the model
%%%calculating the outflow
for t = 16:-1:1
    for s = 1:2
        for b = 1:3
            for a = 1:50 
            Outflow_TASB(t+1,a+1,s,b) = Stock_TASB(t,a,s,b)*Attrition_A(a);
            
            end
        end    
    end     
end
outflow_TAS= sum(Outflow_TASB,4);
outflow_TA= sum(outflow_TAS,3);
outflow_T= sum(outflow_TA,2);
%%
%%Without replenishment scenario
for t = 16:31
    for s = 1:2
        for b = 1:3
            for a = 1:50 
            Outflow_TASB(t,a,s,b) = Stock_TASB(16,a,s,b)*Attrition_A(a);
            end
        end    
    end     
end
% outflow_TAS= sum(Outflow_TASB,4);
% outflow_TA= sum(outflow_TAS,3);
% outflow_T= sum(outflow_TA,2);
%%
%%%%Historical recreation of the model 
