filename_3 = 'Matlab_assistants.xlsx';
Assistants_T = xlsread(filename_3,'Stock_T','B2:B18');
Asst_Back_Dist_TJ =xlsread(filename_3,'A_B_t','B2:D18');
Age_Dist_A= xlsread(filename_3,'A_a','D2:D52');
Attrition_A = xlsread(filename_3,'Attrition','B2:C52');
InflowAge_A = xlsread(filename_3,'InflowAge_A','B2:B52');
Gender_Dist_TS = xlsread(filename_3,'Gender_Dist','B2:C42');
Asst_Act_M_t = xlsread(filename_3,'Act_M_t','B2:B18');
%%
%preallocation 

%%
for t = 1:16
    for j = 1:3
        Assistants_TJ(t,j) = Assistants_T(t)*Asst_Back_Dist_TJ(t,j);
    end
end

for t = 2:16
    Assistants_Change_T(t) = Assistants_T(t)-Assistants_T(t-1);
    for j= 1:3
    Assistants_Change_TJ(t,j)= Assistants_TJ(t,j) - Assistants_TJ(t-1,j); 
    end
end

for t = 1:16
    Assistants_intensity_t(t,1) = Asst_Act_M_t(t)/Assistants_T(t,:);
end

for t = 17:42
    Asst_Act_M_t(t,1) = Asst_M_t(t)*Asst_Act_M_t(16)/Asst_M_t(16); % Actual Man years  teacher intensity remains the same
    Assistants_intensity_t(t,1) = Asst_Act_M_t(16)/Assistants_T(16);
    Assistants_T(t) = Asst_Act_M_t(t)/Assistants_intensity_t(t);
    Assistants_Change_T(t) = Assistants_T(t)-Assistants_T(t-1);
end

%%
%%converting it to a time age matrix 
%%data is first available only for the year 2013 using which model is
%%historically recreated and future projections are made
%model for the first year (2013-2014)
Asst_TAJ = zeros(42,52,3);


%%
for t=16:40
    for j = 1:3
        for a = 1:50
                Asst_TAJ(16,a,j)= Assistants_TJ(16,j)*Age_Dist_A(a);
                if j==3
                Asst_Outflow_TAJ(t+1,a,j) = Asst_TAJ(t,a,j)*Attrition_A(a,2);
                else
                Asst_Outflow_TAJ(t+1,a,j) = Asst_TAJ(t,a,j)*Attrition_A(a,1);
                end
        end
    end
    Asst_Outflow_T(t+1)=sum(sum(Asst_Outflow_TAJ(t+1,:,:)));
    Asst_Inflow_T(t+1) = Assistants_Change_T(t+1)+Asst_Outflow_T(t+1);
    for a = 1:50
        Asst_Inflow_TA(t+1,a)= Asst_Inflow_T(t+1)*InflowAge_A(a);
        for j=1:3
            if j==1
                Asst_TAJ(t+1,a+1,j)=Asst_TAJ(t,a,j)+Asst_Inflow_TA(t+1,a)-Asst_Outflow_TAJ(t+1,a,j);
            else
                Asst_TAJ(t+1,a+1,j) = Asst_TAJ(t,a,j)-Asst_Outflow_TAJ(t+1,a,j);
            end
        end
    end
end
Asst_TJ=squeeze(sum(Asst_TAJ,2)); 
Test_Asst_T = sum(Asst_TJ,2);
%%
%%       
%%Compliling results
Asst_BarneB_TA = Asst_TAJ(:,:,1);
Asst_RelevantB_TA = Asst_TAJ(:,:,2);
Asst_OtherB_TA = Asst_TAJ(:,:,3);
